DIR(1)

BEZEICHNUNG
dir - Verzeichnisinhalte auflisten

ÜBERSICHT
dir [OPTION]... [DATEI]...

BESCHREIBUNG

Auflistung von Informationen über die DATEIen (Standardvorgabe ist das aktuelle Verzeichnis). Die Einträge werden alphabetisch sortiert, falls weder -cftuvSUX noch --sort angegeben wurden.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Einträge nicht ignorieren, die mit ».« beginnen

-A, --almost-all
    Die impliziten Einträge ».« und »..« nicht auflisten

--author
    Mit -l den Autor jeder Datei ausgeben

-b, --escape
    Bei nichtdruckbaren Zeichen Maskierungen im C-Stil ausgeben

--block-size=GRÖSSE
    scale sizes by SIZE before printing them; e.g., '--block-size=M' prints sizes in units of 1,048,576 bytes; see SIZE format below

-B, --ignore-backups
    Implizite Einträge, die auf »~« enden, nicht auflisten

-c  with -lt: sort by, and show, ctime (time of last modification of file status information); with -l: show ctime and sort by name; otherwise: sort by ctime, newest first

-C  Einträge in Spalten auflisten

--color[=WANN]
    colorize the output; WHEN can be 'never', 'auto', or 'always' (the default); more info below

-d, --directory
    list directories themselves, not their contents

-D, --dired
    Ausgabe erzeugen, die für Emacs' »dired«-Modus geeignet ist

-f  Nicht sortieren, -aU an‐ und -ls --color abschalten

-F, --classify
    Indikator (einer aus »*/=>@|«) an Einträge anhängen

--file-type
    Genauso, aber kein »*« anhängen

--format=WORT
    »across« -x, »commas« -m, »horizontal« -x, »long« -l, »single-column« -1, »verbose« -l, »vertical« -C

--full-time
    Wie -l --time-style=full-iso

-g  Wie -l, aber Besitzer nicht auflisten

--group-directories-first
    group directories before files;

    can be augmented with a --sort option, but any use of --sort=none (-U) disables grouping

-G, --no-group
    Bei einem langen Listenformat die Gruppennamen nicht ausgeben

-h, --human-readable
    Mit -l die Größen in menschenlesbarem Format ausgeben (z. B. 1K 234M 2G)

--si
    Genauso, aber Potenzen von 1000 statt 1024 benutzen

-H, --dereference-command-line
    Symbolischen Links folgen, die auf der Befehlszeile aufgeführt sind

--dereference-command-line-symlink-to-dir
    follow each command line symbolic link

    that points to a directory

--hide=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten (wird durch -a oder -A außer Kraft gesetzt)

--indicator-style=WORT
    Indikator des Stils WORT an die Namen der Einträge anhängen: »none« (Standardvorgabe), »slash« (-p), »file-type« (--file-type), »classify« (-F)

-i, --inode
    Indexnummer jeder Datei ausgeben

-I, --ignore=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten

-k, --kibibytes
    default to 1024-byte blocks for disk usage

-l  Langes Listenformat verwenden

-L, --dereference
    Beim Anzeigen der Dateiinformationen für einen symbolischen Link werden die Informationen für die Datei angezeigt, auf die der Link zeigt, statt für den Link selbst

-m  Die Breite mit einer durch Kommata getrennten Liste von Einträgen auffüllen

-n, --numeric-uid-gid
    Wie -l, aber numerische Benutzer- und Gruppen-IDs auflisten

-N, --literal
    Eintragsnamen unbehandelt anzeigen (z. B. Steuerzeichen nicht besonders behandeln)

-o  Wie -l, aber Gruppeninformationen nicht auflisten

-p, --indicator-style=slash
    Den »/«-Indikator an Verzeichnisse anhängen

-q, --hide-control-chars
    print ? instead of nongraphic characters

--show-control-chars
    show nongraphic characters as-is (the default, unless program is 'ls' and output is a terminal)

-Q, --quote-name
    Eintragsnamen in doppelte englische Anführungszeichen einschließen

--quoting-style=WORT
    Anführungszeichen‐Stil WORT für Eintragsnamen benutzen: literal, locale, shell, shell-always, c, escape

-r, --reverse
    Umgekehrte Reihenfolge beim Sortieren

-R, --recursive
    Unterverzeichnisse rekursiv auflisten

-s, --size
    Die zugeteilte Größe jeder Datei in Blöcken ausgeben

-S  Nach Dateigröße sortieren

--sort=WORT
    sort by WORD instead of name: none (-U), size (-S), time (-t), version (-v), extension (-X)

--time=WORT
    with -l, show time as WORD instead of default modification time: atime or access or use (-u) ctime or status (-c); also use specified time as sort key if --sort=time

--time-style=STIL
    with -l, show times using style STYLE: full-iso, long-iso, iso, locale, or +FORMAT; FORMAT is interpreted like in 'date'; if FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files; if STYLE is prefixed with 'posix-', STYLE takes effect only outside the POSIX locale

-t  Nach Änderungszeit sortieren, neueste zuerst

-T, --tabsize=ANZAHL
    Tabulatorstopps nach jeweils ANZAHL Spalten setzen statt 8

-u  with -lt: sort by, and show, access time; with -l: show access time and sort by name; otherwise: sort by access time

-U  Nicht sortieren; Einträge in der Reihenfolge des Verzeichnisses auflisten

-v  Natürliche Sortierung von (Versions)nummern im Text

-w, --width=BREITE
    Bildschirmbreite mit BREITE statt des aktuellen Wertes annehmen

-x  Einträge in Zeilen statt in Spalten auflisten

-X  Alphabetisch nach der Erweiterung des Eintrags sortieren

-Z, --context
    Jeden SELinux-Sicherheitskontext jeder Datei anzeigen

-1  Eine Datei pro Zeile auflisten

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10M ist 10*1024*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000).

Die Verwendung von Farben zur Unterscheidung von Dateitypen ist sowohl in der Voreinstellung als auch bei --color=never ausgeschaltet. Mit --color=auto gibt ls nur dann Farbcodes aus, wenn die Standardausgabe mit einem Terminal verbunden ist. Die Umgebungsvariable LS_COLORS kann diese Einstellungen ändern. Benutzen Sie den Befehl dircolors, um sie festzulegen.

  Rückgabewert:

0   wenn alles in Ordnung ist,

1   bei kleineren Problemen (z. B. kein Zugriff auf Unterverzeichnis),

2   bei ernsthaften Schwierigkeiten (z. B. kein Zugriff auf Befehlszeilenargument).

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report dir translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für dir wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und dir auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'dir invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.